Subject: bug#41836: 26.3; Could we stop `help-buffer' from ever signalling errors?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 16:12:23 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Looking at the code, my impression is that `help-make-xrefs' is meant to
> be used in `help-mode' buffers only, and the `error' call is just a
> sanity check for that, kinda?  Lifting the restriction by removing that
> `error' would allow other usages.  I'm not sure whether they're
> all taken into account, though.
>
> Anybody got an opinion here?

The explanation for all this was in bug#8147, and Stephen Berman
proposed an alternate fix (which Stefan agreed with).  But it was never
applied, so I did that in Emacs 29, which also solves this bug report, I
think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no